package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("讨论区")
public class DiscussionAeraQo {

    @ApiModelProperty(value = "话题ID")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "讨论量")
    private Integer disscussCount;

    @ApiModelProperty(value = "讨论量-格式化，超过99条的显示99+")
    private String formatDisscussCount;

    @ApiModelProperty(value = "是否专属 0否，1是")
    private Integer specialPermission;

    @ApiModelProperty(value = "是否有权限")
    private boolean hasPermission;

    @ApiModelProperty(value = "讨论帖")
    private List<ThemeSimpleQo> themes;
}
